﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Rs232Api;

namespace Rs232_Test
{
    public partial class Form1 : Form
    {
        Rs232 ComPort;
       
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            ComPort.StartMonitor(1);
        }

        private void button2_Click(object sender, EventArgs e)
        {
            ComPort.StopMonitor();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            pictureBox1.Image = Properties.Resources.bulb_red;
            ComPort = new Rs232("COM3");
            ComPort.OnMonitor += new MonitorDelegate(ComPort_OnMonitor);
        }

        void ComPort_OnMonitor(object Sender, Rs232Arguments e)
        {
            if (e.ReceivedString == "R")
            {
                pictureBox1.Image = Properties.Resources.bulb_red;
            }
            else if (e.ReceivedString == "G")
            {
                pictureBox1.Image = Properties.Resources.bulb_green;
            }
            else
            {
                pictureBox1.Image = Properties.Resources.bulb_yellow;
            }
        }
    }
}
